Bug Hunting Session
Bug 86946 - TOOLBAR: Columns group/split button
Summary: TOOLBAR: Columns group/split button
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks: Writer-Toolbars
  Show dependency treegraph
 
Reported: 2014-12-03 00:40 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-06-27 14:44 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sidebar column group button (40.18 KB, image/png)
2014-12-03 00:40 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-12-03 00:40:24 UTC
Created attachment 110380 [details]
sidebar column group button

In the insert toolbar, we have group/split buttons for inserting sections (.uno:InsertSection) and inserting frames (.uno:InsertFrameInteract), but we dont have a similar interactive button for formatting the page into columns, but instead have a button which only the column dialog (.uno:FormatColumns).

It would be useful to have an interactive button to segment the page into columns, similar to how we have it in the page section of the sidebar's properties tab.
Comment 1 tommy27 2014-12-03 01:12:52 UTC
I agree. status NEW.
Comment 2 Yousuf Philips (jay) (retired) 2016-10-14 10:04:13 UTC
@Szymon: Is this control that you added to the notebookbar accessible also in the toolbar?
Comment 3 Commit Notification 2016-10-15 15:20:30 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=04677dcba24c76a9860839ab59fb3bff86b2b6d1

tdf#86946 Page Column Type popup accessible form the toolbar

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Szymon Kłos 2016-10-15 15:22:39 UTC
Button will be accessible under .uno:PageColumnType command.
Comment 5 Yousuf Philips (jay) (retired) 2016-10-15 18:43:29 UTC
(In reply to Szymon Kłos from comment #4)
> Button will be accessible under .uno:PageColumnType command.

Thanks. Anyway that this control is also usable in the menubar?
Comment 6 Szymon Kłos 2016-10-15 18:59:58 UTC
No, because the behaviour implementation is placed in the popup's code.